View Issue Details

IDProjectCategoryLast Update
0020750AI War 2[All Projects] Bug - GameplayNov 8, 2018 3:48 pm
ReporterOvalcircleAssigned Tox4000Bughunter 
Severityminor 
Status assignedResolutionopen 
Product Version0.805 Mercs, Hacks, and, Drones, Oh My 
Fixed in Version 
Summary0020750: Everything stopped moving
DescriptionI set up a Nanocaust vs AI game and after a while (50 min, almost always sped up by 10x), everything just broke. Some waves will be declared and when time is up, they don't appear. The AI Sentinel ships and most of the Nanocaust ships have stopped moving. For some reason, when I went to save, the times for the saves was -1.

Debug log attached.
TagsNo tags attached.

Activities

Ovalcircle

Nov 5, 2018 11:48 pm

reporter  

20181105234017_1.jpg (111,905 bytes)
20181105234017_1.jpg (111,905 bytes)
ArcenDebugLog.txt (8,295 bytes)
11/5/2018 11:25:29 PM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
11/5/2018 11:25:30 PM	No resolution change was required.
11/5/2018 11:25:30 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
11/5/2018 11:25:30 PM	Applied Framerate Type: 30 FPS (vsync: 0 targetFPS:30)
11/5/2018 11:25:41 PM	Failed to load GameObject 'assets/arcenui/_customuis/sidebarclosed.prefab' from bundle 'arcenui'
11/5/2018 11:26:01 PM	ArcenAssetBundleCache.InstantiatedObjects: 771
11/5/2018 11:26:03 PM	Game Version: 0.805
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
11/5/2018 11:26:03 PM	34.8 seconds total load time.

SetDirectoriesToBeUsed (0.7s)
Calculate FInt Sqrt Arrays (0.5s)
LoadFinalSFXStuff (10.3s)
ExternalIconDictionaryTable (0.3s)
ArcenUIPrefabTable (0.4s)
ArcenUI.Instance.InitializeOnceOnly (0.3s)
InputActionTypeDataTable (0.3s)
PlanetDefinitionTable (0.8s)
GameEntityTypeDataTable.Initialize (0.9s)
GameEntityTypeDataTable.InitVisualBits (15.2s)
SurrogateTableTable (1.8s)
11/5/2018 11:26:06 PM
Hello Steam user 'Ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

11/5/2018 11:26:15 PM	Generate Map with type X and seed 503472857
11/5/2018 11:26:15 PM	World Created, Launching Server
11/5/2018 11:26:15 PM	Successfully opened host socket
11/5/2018 11:26:23 PM	PLAYER DISCONNECTED 0.0.0.0=>0
11/5/2018 11:26:23 PM	Generate Map with type X and seed 503472857
11/5/2018 11:26:23 PM	World Created, Launching Server
11/5/2018 11:26:23 PM	Successfully opened host socket
11/5/2018 11:26:35 PM	Generate Map with type X and seed 503472857
11/5/2018 11:26:35 PM	Generate Map Complete
11/5/2018 11:26:43 PM	Generate Map with type Octopus and seed 503472857
11/5/2018 11:26:43 PM	Generate Map Complete
11/5/2018 11:26:46 PM	Generate Map with type Octopus and seed 333395502
11/5/2018 11:26:46 PM	Generate Map Complete
11/5/2018 11:26:52 PM	Generate Map with type Octopus and seed 333395502
11/5/2018 11:26:52 PM	Generate Map Complete
11/5/2018 11:26:55 PM	Generate Map with type Simple and seed 333395502
11/5/2018 11:26:55 PM	Generate Map Complete
11/5/2018 11:27:03 PM	PLAYER DISCONNECTED 0.0.0.0=>0
11/5/2018 11:27:19 PM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
11/5/2018 11:27:20 PM	No resolution change was required.
11/5/2018 11:27:20 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
11/5/2018 11:27:20 PM	Applied Framerate Type: 30 FPS (vsync: 0 targetFPS:30)
11/5/2018 11:27:32 PM	Failed to load GameObject 'assets/arcenui/_customuis/sidebarclosed.prefab' from bundle 'arcenui'
11/5/2018 11:27:40 PM	ArcenAssetBundleCache.InstantiatedObjects: 771
11/5/2018 11:27:41 PM	Game Version: 0.805
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
11/5/2018 11:27:41 PM	22.4 seconds total load time.

SetDirectoriesToBeUsed (0.8s)
Calculate FInt Sqrt Arrays (0.5s)
Language.Initialize (0.3s)
LoadFinalSFXStuff (10.9s)
ExternalIconDictionaryTable (0.3s)
ArcenUIPrefabTable (0.3s)
PlanetDefinitionTable (0.8s)
GameEntityTypeDataTable.Initialize (0.8s)
GameEntityTypeDataTable.InitVisualBits (3.6s)
SurrogateTableTable (0.9s)
11/5/2018 11:27:41 PM
Hello Steam user 'Ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

11/5/2018 11:27:48 PM	Generate Map with type X and seed 503472857
11/5/2018 11:27:48 PM	World Created, Launching Server
11/5/2018 11:27:49 PM	Successfully opened host socket
11/5/2018 11:27:58 PM	Generate Map with type X and seed 503472857
11/5/2018 11:27:58 PM	Generate Map Complete
11/5/2018 11:28:03 PM	Generate Map with type X and seed 503472857
11/5/2018 11:28:03 PM	Generate Map Complete
11/5/2018 11:28:05 PM	Generate Map with type X and seed 503472857
11/5/2018 11:28:05 PM	Generate Map Complete
11/5/2018 11:28:10 PM	Generate Map with type X and seed 503472857
11/5/2018 11:28:10 PM	Generate Map Complete
11/5/2018 11:28:13 PM	Generate Map with type X and seed 503472857
11/5/2018 11:28:13 PM	Generate Map Complete
11/5/2018 11:28:16 PM	Generate Map with type X and seed 503472857
11/5/2018 11:28:16 PM	Generate Map Complete
11/5/2018 11:28:19 PM	Generate Map with type X and seed 503472857
11/5/2018 11:28:19 PM	Generate Map Complete
11/5/2018 11:28:30 PM	Generate Map with type X and seed 503472857
11/5/2018 11:28:30 PM	Generate Map Complete
11/5/2018 11:28:35 PM	Generate Map with type X and seed 503472857
11/5/2018 11:28:35 PM	Generate Map Complete
11/5/2018 11:28:40 PM	Generate Map with type X and seed 503472857
11/5/2018 11:28:40 PM	Generate Map Complete
11/5/2018 11:29:30 PM	Generate Map with type X and seed 503472857
11/5/2018 11:29:30 PM	Generate Map Complete
11/5/2018 11:33:17 PM	The previous wave interval was 401 so next one should be 802
11/5/2018 11:35:55 PM	The previous wave interval was 802 so next one should be 1604
11/5/2018 11:39:31 PM	The previous wave interval was 1604 so next one should be 3208
11/5/2018 11:40:42 PM	PLAYER DISCONNECTED 0.0.0.0=>0
11/5/2018 11:40:42 PM	Successfully opened host socket
11/5/2018 11:41:12 PM	PLAYER DISCONNECTED 0.0.0.0=>0
ArcenDebugLog.txt (8,295 bytes)
Everything is dead.save (406,118 bytes)
Everything is dead.savemet (60 bytes)

Issue History

Date Modified Username Field Change
Nov 5, 2018 11:48 pm Ovalcircle New Issue
Nov 5, 2018 11:48 pm Ovalcircle File Added: Everything is dead.savemet
Nov 5, 2018 11:48 pm Ovalcircle File Added: Everything is dead.save
Nov 5, 2018 11:48 pm Ovalcircle File Added: ArcenDebugLog.txt
Nov 5, 2018 11:48 pm Ovalcircle File Added: 20181105234017_1.jpg
Nov 8, 2018 3:48 pm Dune Assigned To => x4000Bughunter
Nov 8, 2018 3:48 pm Dune Status new => assigned